org.apache.cassandra.service

## Interface StartupCheck

    public interface StartupCheck

A test to determine if the system is in a valid state to start up. Some implementations may not actually halt startup, but provide information or advice on tuning and non-fatal environmental issues (e.g. like checking for and warning about suboptimal JVM settings). Other checks may indicate that they system is not in a correct state to be started. Examples include inability to load JNA when the cassandra.boot_without_jna option is not set, missing or unaccessible data directories, unreadable sstables and misconfiguration of cluster_name in cassandra.yaml. The StartupChecks class manages a collection of these tests, which it executes right at the beginning of the server settup process.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute()` Run some test to determine whether the system is safe to be started In the case where a test determines it is not safe to proceed, the test should log a message regarding the reason for the failure and ideally the steps required to remedy the problem.

### Method Detail

#### execute

    void execute()
          throws StartupException

Run some test to determine whether the system is safe to be started In the case where a test determines it is not safe to proceed, the test should log a message regarding the reason for the failure and ideally the steps required to remedy the problem.

Throws:
  `StartupException` - if the test determines that the environement or system is not in a safe state to startup